package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevHoseBoxMapper;
import com.ruoyi.project.patrol.dev.domain.TDevHoseBox;
import com.ruoyi.project.patrol.dev.service.ITDevHoseBoxService;

/**
 * 消防水带箱检查记录Service业务层处理
 * 
 * @author admin
 * @date 2023-10-31
 */
@Service
public class TDevHoseBoxServiceImpl implements ITDevHoseBoxService 
{
    @Autowired
    private TDevHoseBoxMapper tDevHoseBoxMapper;

    /**
     * 查询消防水带箱检查记录
     * 
     * @param id 消防水带箱检查记录主键
     * @return 消防水带箱检查记录
     */
    @Override
    public TDevHoseBox selectTDevHoseBoxById(Long id)
    {
        return tDevHoseBoxMapper.selectTDevHoseBoxById(id);
    }

    /**
     * 查询消防水带箱检查记录列表
     * 
     * @param tDevHoseBox 消防水带箱检查记录
     * @return 消防水带箱检查记录
     */
    @Override
    public List<TDevHoseBox> selectTDevHoseBoxList(TDevHoseBox tDevHoseBox)
    {
        return tDevHoseBoxMapper.selectTDevHoseBoxList(tDevHoseBox);
    }

    /**
     * 新增消防水带箱检查记录
     * 
     * @param tDevHoseBox 消防水带箱检查记录
     * @return 结果
     */
    @Override
    public int insertTDevHoseBox(TDevHoseBox tDevHoseBox)
    {
        return tDevHoseBoxMapper.insertTDevHoseBox(tDevHoseBox);
    }

    /**
     * 修改消防水带箱检查记录
     * 
     * @param tDevHoseBox 消防水带箱检查记录
     * @return 结果
     */
    @Override
    public int updateTDevHoseBox(TDevHoseBox tDevHoseBox)
    {
        return tDevHoseBoxMapper.updateTDevHoseBox(tDevHoseBox);
    }

    /**
     * 批量删除消防水带箱检查记录
     * 
     * @param ids 需要删除的消防水带箱检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTDevHoseBoxByIds(Long[] ids)
    {
        return tDevHoseBoxMapper.deleteTDevHoseBoxByIds(ids);
    }

    /**
     * 删除消防水带箱检查记录信息
     * 
     * @param id 消防水带箱检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTDevHoseBoxById(Long id)
    {
        return tDevHoseBoxMapper.deleteTDevHoseBoxById(id);
    }
}
